Status: Rejected   

Priority: Normal   

Assignee:    

Category: DNS   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

in a similar fashion to dhcp, dns should consist of real ruby objects such as:

dns servers

zones

records (and their types)

this should allow greater flexibility to supporting multiple dns servers.

History

#1 - 03/15/2016 03:41 AM - Ohad Levy

- Description updated

- Assignee set to Anonymous

Dmitri - I have the feeling this is on your radar ? (or maybe an alternative path?)

#2 - 05/11/2016 11:11 AM - Anonymous

Don't think this would be useful. The biggest object would be dns record which is still minimal -- type, fqdn, and address. All creation and validation

logic resides within platform-specific providers, which is another reason to keep common data structures minimal.

#3 - 05/11/2016 11:11 AM - Anonymous

- Status changed from New to Rejected
